<%@page contentType="text/html; charset=utf-8"%>
<%@page import="org.acts.common.*" %>
<%@page import="org.acts.common.html.*" %>
<%@page import="org.acts.attendance.*" %>
<%@include file="../include/check_login.jsp" %>

<%@include file="../include/header.jsp" %>
<%msbean.setCur_menu_node(MenuItem.ATTENDANCE__ACTIVITY_INFO);%>
<script type="text/javascript">
</script>
<%@include file="../include/body.jsp" %>
<%

RecordList r=Attendance.getActivity(msbean.getIData("activity_seq"));
r.setCurrentRow(0);

HtmlTable t=new HtmlTable(new int[]{950});
t.addTitleCell(0,0,msbean.getCur_menu_node().getName());
t.toHtml(out);

t=new HtmlTable(new int[]{125,350,125,350});
t.addDescCell(0,0,"Name");
t.addDescCell(0,1,"Type");
t.addDescCell(0,2,"Venue");
t.addDescCell(0,3,"Date");
t.addDescCell(0,4,"Start Time");
t.addDescCell(0,5,"End Time");
t.addDescCell(0,6,"Late Time");
t.addDescCell(0,7,"Start Record At");
t.addDescCell(0,8,"End Record At");

t.addLCell(1,0,r.getS("name"));
t.addLCell(1,1,r.getS("type_name"));
t.addLCell(1,2,r.getS("venue"));
t.addLCell(1,3,r.getT("date"));
t.addLCell(1,4,TimeUtil.getStringByTime(r.getT("start_time")));
t.addLCell(1,5,TimeUtil.getStringByTime(r.getT("end_time")));
t.addLCell(1,6,TimeUtil.getStringByTime(r.getT("late_time")));
t.addLCell(1,7,TimeUtil.getStringByTime(r.getT("start_record_time")));
t.addLCell(1,8,TimeUtil.getStringByTime(r.getT("end_record_time")));

t.addDescCell(2,0,"Total Attendance");
t.addDescCell(2,1,"Total Late");

RecordList counts=Attendance.getAttendanceCount(msbean.getIData("activity_seq"));
counts.setCurrentRow(0);

t.addLCell(3,0,counts.getI("total"));
t.addLCell(3,1,counts.getI("late"));

t.toHtml(out);
%>

<%@include file="../include/footer.jsp" %>